require 'spec_helper'
require 'projectdx_pipeline/file'

describe ProjectdxPipeline::File do
  describe '#copy' do
    before(:each) do
      ::File.stub!(:exist? => false)
      FileUtils.stub!(:cp)
    end

    it 'copies the source file to the destination' do
      FileUtils.should_receive(:cp).with('foo', 'bar')
      ProjectdxPipeline::File.copy('foo', 'bar')
    end

    it 'makes a backup copy of the destination file if it already exists' do
      ::File.should_receive(:exist?).with('bar').and_return(true)
      FileUtils.should_receive(:cp).with('bar', 'bar.bak')
      ProjectdxPipeline::File.copy('foo', 'bar')
    end
  end
end
